/*
Theme Name: Karbon Child
Theme URI: https://karbon.keydesign.xyz/
Description: Industrial & Energy Elementor WordPress Theme
Author: Key-Design
Author URI: http://themeforest.net/user/Key-Design
Template: karbon
Version: 1.0
License: Envato Standard License
License URI: https://themeforest.net/licenses/standard
Tags: one-column, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, custom-menu, featured-images, flexible-header, post-formats, sticky-post, translation-ready
Text Domain: karbon-child
*/


/* Layout Settings */

/* Elimina los espaciados por defecto de los contenedores interiores */
.e-con.e-child
{
	--padding-top: 0;
	--padding-left: 0;
	--padding-right: 0;
	--padding-bottom: 0;
}

/* Sección con espaciados horizontales */
.e-con.e-con-boxed
{
	border: 0;
    padding: 0 1rem;
	--padding-top: 6.25rem;
	--padding-bottom: 6.25rem;
	--padding-left: 1rem;
    --padding-right: 1rem;
}






/* Custom del Tema */

/* Extiene los Icon Box a la altura de su contenedor */
.ekit-wid-con,
.ekit-wid-con > .elementskit-infobox
{
	height: 100%;
}

/* Botones */
.i-button-white .ekit-wid-con .ekit-btn-wraper .elementskit-btn
{
	color: var(--e-global-color-primary);
	background-color: var(--e-global-color-3e94e23);
}

.i-button-light .ekit-wid-con .ekit-btn-wraper .elementskit-btn
{
	color: var(--e-global-color-primary);
	background-color: var(--e-global-color-light);
}

/* Cards */
.entry-content .i-card-image figcaption
{
	position: absolute;
    top: 0;
    left: 0;
    width: 100%;
	height: 100%;
	background: linear-gradient( 180deg , rgba(0, 0, 0, 0.6) 0% , rgba(0, 0, 0, 0) 100% );
	padding: 1.875rem !important;
}

/* Textos */
.ekit-wid-con .elementskit-section-title
{
	margin-bottom: 1rem;
}


/* Sliders */
.i-slider > .e-child,
.i-slider-full > .e-child
{
	gap: 0;
}

.i-slider > .e-child > .e-child,
.i-slider-full > .e-child > .e-child
{
	flex-shrink: 0;
}

.i-slider .swiper-notification,
.i-slider-full .swiper-notification
{
	display: none;
}

.i-slider .swiper-pagination,
.i-slider-full .swiper-pagination
{
	justify-content: center;
	flex-direction: row;
}

.i-slider .swiper-pagination
{
	position: relative;
	--swiper-pagination-bottom: 0;
	/* --e-global-color-primary: var(--e-global-color-primary); */
	--kd-swiper-pagination-active-color: var(--e-global-color-primary);
	--kd-swiper-pagination-normal-color: var(--e-global-color-primary);
	--color-neutral-transparent: var(--e-global-color-text);
}

.i-slider-full .swiper-pagination
{
	position: absolute;
	--swiper-pagination-bottom: 2rem;
	/* --e-global-color-primary: #FFFFFF; */
	--kd-swiper-pagination-active-color: #FFFFFF;
	--kd-swiper-pagination-normal-color: #FFFFFF;
	--color-neutral-transparent: rgba(255, 255, 255, 0.2);
}

.i-slider .i-navigation
{
	position: absolute;
	top: 50%;
	left: 0;
	width: 100%;
	transform: translateY(-50%);
}

/* Headers */
.e-con.i-header-1
{
	--padding-top: 1rem;
}